%bcond_without doc

Summary:	Client for Managing/Downloading CRLs
Name:		dirmngr
Version:	1.1.1
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		dirmngr-pth-fix.patch
BuildRequires:	libassuan-devel >= 0.9.3
BuildRequires:	libksba-devel >= 0.9.11
BuildRequires:	openldap-devel
BuildRequires:	pth-devel
BuildRequires:	pkgconfig(gpg-error)
BuildRequires:	pkgconfig(libgcrypt)
%if %{with doc}
BuildRequires:	texinfo
BuildRequires:	texlive
BuildRequires:	texlive-dehyph-exptl
%endif

%description
Dirmngr is a client for managing and downloading certificate revocation
lists (CRLs) for X509 certificates and for downloading the certificates
themselves. Dirmngr is usually invoked by gpgsm and in general not used
directly.

%files -f %{name}.lang
%doc README* ChangeLog NEWS
%if %{with doc}
%doc doc/dirmngr.pdf
%endif
%dir %{_sysconfdir}/dirmngr
%dir %{_sysconfdir}/dirmngr/trusted-certs
%{_bindir}/*
%{_infodir}/*.info*
%{_libexecdir}/dirmngr_ldap
%{_mandir}/man1/dirmngr-client.*
%{_mandir}/man1/dirmngr.*
%{_var}/cache/dirmngr
%{_var}/lib/dirmngr
%{_tmpfilesdir}/%{name}.conf

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
export LDFLAGS="-llber"
%configure2_5x --localstatedir=%{_var}
%make

%if %{with doc}
make -C doc pdf
%endif

%install
mkdir -p %{buildroot}%{_sysconfdir}/dirmngr
mkdir -p %{buildroot}%{_sysconfdir}/dirmngr/trusted-certs
mkdir -p %{buildroot}%{_var}/cache/dirmngr/crls.d
mkdir -p %{buildroot}%{_var}/lib/dirmngr/extra-certs

%makeinstall_std

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/dirmngr 0755 root root
EOF

%find_lang %{name}

%check
make check

%post
%tmpfiles_create %{name}.conf

%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2
- (318fa9f) Build requires texlive-dehyph-exptl


